#!/usr/bin/make -f

UPSTREAM_GIT ?= https://salsa.debian.org/openstack-team/services/designate-tlds
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=pybuild --with python3

override_dh_auto_clean:
	rm -rf AUTHORS ChangeLog build designate_tlds.egg-info
	echo "Do nothing..."

override_dh_auto_install:
	echo "Do nothing..."

override_dh_auto_test:
	echo "Do nothing..."

override_dh_auto_build:

override_dh_install:
	python3 setup.py install --install-layout=deb --root $(CURDIR)/debian/tmp

	mkdir -p $(CURDIR)/debian/designate-tlds/etc/designate-tlds
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslo-config-generator \
		--output-file $(CURDIR)/debian/designate-tlds/etc/designate-tlds/designate-tlds.conf \
		--wrap-width 140 \
		--namespace desigtldsopts \
		--namespace oslo.log \
		--namespace keystonemiddleware.auth_token

	pkgos-fix-config-default $(CURDIR)/debian/designate-tlds/etc/designate-tlds/designate-tlds.conf DEFAULT log_dir /var/log/designate-tlds
	pkgos-fix-config-default $(CURDIR)/debian/designate-tlds/etc/designate-tlds/designate-tlds.conf DEFAULT log_file designate-tlds.log
	dh_install

override_dh_fixperms:
	dh_fixperms
	chmod +x $(CURDIR)/debian/designate-tlds/etc/cron.weekly/designate-tlds

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3
